ruby-svn-1.9.7-1.mga6.i586.rpm


Advertisement

Description

ruby-svn - Ruby bindings for Subversion

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates i586
Package filename ruby-svn-1.9.7-1.mga6.i586.rpm
Package name ruby-svn
Package version 1.9.7
Package release 1.mga6
Package architecture i586
Package type rpm
Category Development/Ruby
Homepage http://subversion.apache.org/
License Apache License
Maintainer -
Download size 482.24 KB
Installed size 2.59 MB
This package contains the files necessary to use the subversion
library functions within ruby scripts.

Alternatives

Package Version Architecture Repository
ruby-svn-1.9.7-1.mga6.x86_64.rpm 1.9.7 x86_64 Mageia Core Updates
ruby-svn-1.9.6-1.mga6.i586.rpm 1.9.6 i586 Mageia Core Updates
ruby-svn-1.9.6-1.mga6.x86_64.rpm 1.9.6 x86_64 Mageia Core Updates
ruby-svn-1.9.5-2.mga6.i586.rpm 1.9.5 i586 Mageia Core
ruby-svn-1.9.5-2.mga6.x86_64.rpm 1.9.5 x86_64 Mageia Core
ruby-svn - - -

Requires

Name Value
libapr-1.so.0 -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libpthread.so.0 -
libruby.so.2.2 -
libsvn0 == 2:1.9.7
libsvn_client-1.so.0 -
libsvn_delta-1.so.0 -
libsvn_diff-1.so.0 -
libsvn_fs-1.so.0 -
libsvn_ra-1.so.0 -
libsvn_repos-1.so.0 -
libsvn_subr-1.so.0 -
libsvn_swig_ruby-1.so.0 -
libsvn_wc-1.so.0 -
ruby -

Provides

Name Value
libsvn_swig_ruby-1.so.0 -
ruby-subversion == 2:1.9.7-1.mga6
ruby-svn == 2:1.9.7-1.mga6
ruby-svn(x86-32) == 2:1.9.7-1.mga6

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package ruby-svn-1.9.7-1.mga6.i586.rpm
Source Package subversion-1.9.7-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install ruby-svn rpm package:
    # urpmi ruby-svn

Files

Path
/usr/lib/libsvn_swig_ruby-1.so.0
/usr/lib/libsvn_swig_ruby-1.so.0.0.0
/usr/lib/ruby/site_ruby/svn/
/usr/lib/ruby/site_ruby/svn/ext/client.so
/usr/lib/ruby/site_ruby/svn/ext/core.so
/usr/lib/ruby/site_ruby/svn/ext/delta.so
/usr/lib/ruby/site_ruby/svn/ext/diff.so
/usr/lib/ruby/site_ruby/svn/ext/fs.so
/usr/lib/ruby/site_ruby/svn/ext/ra.so
/usr/lib/ruby/site_ruby/svn/ext/repos.so
/usr/lib/ruby/site_ruby/svn/ext/wc.so
/usr/share/ruby/site_ruby/svn/client.rb
/usr/share/ruby/site_ruby/svn/commit-mailer.rb
/usr/share/ruby/site_ruby/svn/core.rb
/usr/share/ruby/site_ruby/svn/delta.rb
/usr/share/ruby/site_ruby/svn/error.rb
/usr/share/ruby/site_ruby/svn/fs.rb
/usr/share/ruby/site_ruby/svn/info.rb
/usr/share/ruby/site_ruby/svn/ra.rb
/usr/share/ruby/site_ruby/svn/repos.rb
/usr/share/ruby/site_ruby/svn/synchronizer.rb
/usr/share/ruby/site_ruby/svn/util.rb
/usr/share/ruby/site_ruby/svn/wc.rb

Changelog

2017-08-11 - luigiwalser <luigiwalser> 2:1.9.7-1.mga6
+ Revision: 1139587
- 1.9.7
- 1.9.6
2017-01-14 - daviddavid <daviddavid> 2:1.9.5-2.mga6
+ Revision: 1081582
- disable KWallet support as it is still part of KDE4
2016-12-01 - luigiwalser <luigiwalser> 2:1.9.5-1.mga6
+ Revision: 1071444
- 1.9.5 (fixes CVE-2016-8734)
2016-06-19 - pterjan <pterjan> 2:1.9.4-2.mga6
+ Revision: 1036531
- Rebuild for perl 5.22.2
2016-04-29 - luigiwalser <luigiwalser> 2:1.9.4-1.mga6
+ Revision: 1007936
- 1.9.4 (fixes CVE-2016-2167 and CVE-2016-2168)
2016-03-03 - luigiwalser <luigiwalser> 2:1.9.3-3.mga6
+ Revision: 985028
- rebuild for serf
2016-02-27 - neoclust <neoclust> 2:1.9.3-2.mga6
+ Revision: 980055
- Enable java on arm
2015-12-18 - oden <oden> 2:1.9.3-1.mga6
+ Revision: 911650
- 1.9.3
2015-12-17 - luigiwalser <luigiwalser> 2:1.8.15-1.mga6
+ Revision: 911306
- 1.8.15 (fixes CVE-2015-5343)
2015-10-28 - ycantin <ycantin> 2:1.8.14-3.mga6
+ Revision: 895919
- rebuild for ruby 2.2

See Also

Package Description
ruby-svn-devel-1.9.6-1.mga6.i586.rpm Subversion headers/libraries for development
ruby-svn-devel-1.9.7-1.mga6.i586.rpm Subversion headers/libraries for development
ruby-test-unit-3.0.8-1.1.mga6.noarch.rpm test/unit compatible API testing framework
ruby-test-unit-3.0.8-1.mga6.noarch.rpm test/unit compatible API testing framework
ruby-test-unit-3.0.8-16.1.mga6.noarch.rpm test/unit compatible API testing framework
ruby-tk-2.2.10-16.1.mga6.i586.rpm Tk extension for the powerful language Ruby
ruby-tk-2.2.7-1.mga6.i586.rpm Tk extension for the powerful language Ruby
ruby-tk-2.2.8-1.1.mga6.i586.rpm Tk extension for the powerful language Ruby
ruby-tk-2.2.8-1.mga6.i586.rpm Tk extension for the powerful language Ruby
rust-1.19.0-1.mga6.i586.rpm The Rust Programming Language
rust-1.21.0-1.mga6.i586.rpm The Rust Programming Language
rust-1.23.0-1.mga6.i586.rpm The Rust Programming Language
rust-1.25.0-1.mga6.i586.rpm The Rust Programming Language
rust-1.27.0-1.mga6.i586.rpm The Rust Programming Language
rust-1.27.1-1.1.mga6.i586.rpm The Rust Programming Language
Advertisement
Advertisement